/* Main content */
.readings-archive {}

/* Breadcrumbs */
.readings-archive .breadcrumbs,
.readings-archive .breadcrumbs .container {
    text-align: start;
}

.readings-archive .breadcrumbs .container {
    padding: 0;
    gap: 0;
    flex-direction: column-reverse;
}

.readings-archive .breadcrumbs>.container>.caption5 {
    padding: 22px 50px;
}

.readings-archive .breadcrumbs>.container>.h3 {
    background: var(--black1);
    color: var(--white1);
    padding: 56px 50px;
    position: relative;
    overflow: hidden;
}

.readings-archive .breadcrumbs>.container>.h3::before {
    content: "";
    position: absolute;
    width: 274.72px;
    height: 274.72px;
    /* left: 1003.28px; */
    right: 162px;
    top: 20px;
    background: #DDDC00;
    filter: blur(91.5743px);
    z-index: 0;
}

/* Navigation */
.readings-filter,
.readings-empty,
.posts-grid {
    max-width: 1440px;
    margin: auto;
}

.readings-filter {
    padding: 30px 50px;
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}

.readings-filter a {
    padding: 11.5px 20px;
    border: 1px solid var(--grey4);
    border-radius: 12px;
    color: var(--black1);
    width: max-content;
    min-width: fit-content;
    transition: background-color 0.4s ease, color 0.4s ease, border-color 0.4s ease;
}

.readings-filter a:hover {
    border-color: var(--green1);
}

.readings-filter a.active {
    color: var(--white1);
    background-color: var(--green1);
    border-color: var(--green1);
}

/* Posts grid */
.posts-grid {
    padding: 0 50px 40px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
}

/* single card */
.post-card {
    border: 1px solid #EDEDED;
    border-radius: 16px;
    padding: 20px 16px;
}

.post-card-img {
    display: flex;
    /* height: 209px; */
    width: 100%;
    border-radius: 12px;
    overflow: hidden;
    margin-bottom: 20px;
    aspect-ratio: 402 / 209;
}

.post-card-img img,
.post-card-img picture {
    object-fit: cover;
    object-position: center;
    height: 100%;
    width: 100%;
}

.post-tag {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    margin-bottom: 16px;
    color: var(--grey3);
}

.post-card-title {
    margin-bottom: 16px;
    color: var(--black1);
}

.post-card-content {
    color: var(--grey3);
    display: -webkit-box;
    line-clamp: 3;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Pagination */
.pagination {
    max-width: 1440px;
    margin: auto;
    padding: 0 50px 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.prev,
.next {
    padding: 10px 20px;
    border: 1px solid var(--green1);
    border-radius: 12px;
    color: var(--black1);
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: border-color 0.4s ease, color 0.4s ease, background-color 0.4s ease;
}

.prev.disabled,
.next.disabled {
    border-color: var(--grey2);
    color: var(--grey3);
    pointer-events: none;
}

.prev:hover,
.next:hover {
    background-color: var(--green1);
    border-color: var(--green1);
    color: var(--white1);
}

.page-numbers {
    list-style-type: none;
    display: flex;
    align-items: center;
    gap: 10px;
}

.page-numbers li>.page-numbers {
    border: 1px solid var(--grey2);
    color: var(--black1);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    transition: color 0.4s ease, border-color 0.4s ease, background-color 0.4s ease;
}

.page-numbers li>.page-numbers:hover {
    border-color: var(--green1);
    color: var(--black1);
}

.readings-archive .page-numbers li:has(.current) {
    padding: unset;
    border: unset;
    color: unset !important;
    background-color: unset !important;
}

.page-numbers li>.page-numbers.current {
    border-color: var(--green1);
    color: var(--white1);
    background-color: var(--green1);
}

/* empty news */
.readings-empty {
    padding: 0 50px;
}

/* Responsive */
@media (max-width: 1150px) {

    /* Posts grid */
    .posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 769px) {

    /* Breadcrumbs */
    .readings-archive .breadcrumbs>.container>.caption5 {
        padding: 11px 20px;
    }

    .readings-archive .breadcrumbs>.container>.h3 {
        padding: 39px 20px;
    }

    .readings-archive .breadcrumbs>.container>.h3::before {
        width: 121.49px;
        height: 121.49px;
        /* left: 236.15px; */
        right: -8px;
        top: 31.41px;
        filter: blur(40.4964px);
    }

    /* Navigation */
    .readings-filter {
        padding: 30px 10px 20px;
        flex-wrap: nowrap;
        gap: 8px;
        overflow-x: auto;
        overflow-y: hidden;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
    }

    .readings-filter::-webkit-scrollbar {
        display: none;
    }

    /* Posts grid */
    .posts-grid {
        padding: 0 10px 20px;
    }

    /* single card */
    .post-card {
        padding: 12px;
    }

    .post-card-img {
        border-radius: 8px;
        margin-bottom: 16px;
    }

    .post-tag {
        margin-bottom: 12px;
    }

    .post-card-title {
        margin-bottom: 12px;
    }

    /* Pagination */
    .pagination {
        padding: 0 10px 50px;
    }

    .prev,
    .next {
        height: 45px;
    }

    .page-numbers li>.page-numbers {
        height: 45px;
        width: 45px;
    }
    

    /* empty news */
    .readings-empty {
        padding: 0 10px;
    }
}

@media (max-width: 650px) {

    /* Posts grid */
    .posts-grid {
        grid-template-columns: 1fr;
    }

    /* single card */
    .post-card-img {
        height: 155px;
    }
}